#! /bin/csh -fe
#
#   Wedger Elves example background autoindexing script
#
/programs/ccp4-7.0/bin/ipmosflm HKLOUT  auto.mtz   \
         SPOTOD  auto.spotod \
         SUMMARY logs/autoindex.xlog    \
         COORDS  auto.coords << eof-ipmosflm
#
GENFILE auto.gen
#

# Detector parameters (range, quantum gain, etc.)
SCANNER OMEGA 90 ROTATION HORIZ ANTI FAST HORIZ ORIGIN UR RECTANG ADSC
OVERLOAD CUTOFF 65535
GAIN 0.3
LIMITS RMAX 9999 YMAX 314.573 XMAX 314.573 XSCAN 314.573 YSCAN 314.573

# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.976484
DISPERSION    0.00014
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      201.337
BEAM          154.096 155.435
TWOTHETA      -0.003745
#
NEWMATRIX  auto.mat

# Crystal parameters
#CELL     KEEP 100 100 100 90 90 90
SYMMETRY      P43212
RESOLUTION 1.11042
MOSAIC     0.934094

# frame filename breakdown
DIRECTORY    /data3/anonymous/pub/ALS/503/lyso
IDENTIFIER   Pin4_3_
EXTENSION    .img
TEMPLATE Pin4_3_#####.img
#
FINDSPOTS MINX 0.1 MINY 0.1 MAXX 5 MAXY 5 SPLIT 0.2 0.2
#

AUTOINDEX DPS THRESH 5 IMAGE 1 13 35 55 64 70 
#
go
#
eof-ipmosflm

