#! /bin/csh -fe
#
#   Wedger Elves example STRATEGY session
#
/programs/ccp4-7.0/bin/ipmosflm HKLOUT strategy.mtz	    \
         SPOTOD  strategy.spotod   \
         SUMMARY logs/strategy.xlog    \
         COORDS  strategy.coords << eof-ipmosflm
#
GENFILE strategy.gen
#
# the following keywords were not understood by the Wedger elves, but passed on
# because they resemble mosflm commands.
# ----

# ----

# Detector parameters (range, quantum gain, etc.)
SCANNER omega 90 ROTATION horiz ANTI FAST horiz ORIGIN UR RECTANG ADSC
OVERLOAD CUTOFF 65535
GAIN 0.3
LIMITS RMAX 9999 YMAX 314.573 XMAX 314.573 xscan 314.573 yscan 314.573


# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.976484
DISPERSION    0.00014
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      200
BEAM          154.08 155.31
TWOTHETA      -0.003745
MATRIX        auto.mat
#

# Crystal parameters
CELL          78.544 78.544 36.8968 90 90 90
SYMMETRY      P43212
RESOLUTION    1.5
MOSAIC        0.55

# Frame filename breakdown
DIRECTORY     /data3/anonymous/pub/ALS/503/lyso
IDENTIFIER    Pin4_3_
EXTENSION     .img
TEMPLATE Pin4_3_#####.img
#
#
# un-comment the following lines to run strategy interactively
#IMAGE 1
#GO
#
# current strategy
#strategy start 79 end 156 speedup 1
strategy start 79 end 156
go
start 79 end 156
go
stats
end

# calculate best oscillation widths
SEPARATION 1.12 0.81
testgen start 79 end 156 minosc 1.1 overlap 3 
go

# best "next" strategy (given that "current" data are already collected)
strategy start 79 end 156 PARTS 2 
run
strategy auto
go
stats
end

# best, overall strategy
strategy auto
go
stats
end

# best, overall strategy for anomalous
strategy auto anomalous
go
stats
end

# calculate best oscillation widths
SEPARATION 1.12 0.81
testgen start 0 end 180 minosc 0.01 overlap 3 
go

eof-ipmosflm
